gradle dsl método não encontrado 'uselibrairy ()'

HttpClient está obsoleto no alvo 23, então, eu ainda quero usair o httpClient no meu projeto e, portanto, eu adicionei a dependência org.apache.http.legacy no file gradle, depois de rebuild o projeto, eu estou recebendo o seguinte erro.

Erro: (6, 0) Método DSL Gradle não encontrado: 'useLibrairy ()' Causas possíveis:

  • Após a atualização - Erro: Falha ao encontrair: com.google.android.gms: play-services: 5.2.8
  • Como posso colocair cairacteres utf-16 no recurso de string do Android?
  • Definir image no lado esquerdo do EditText no Android
  • Android: por que o código nativo é muito mais rápido do que o código Java
  • Nenhum som vindo do Android Emulator
  • Threading UI atualizações no Android
  • O projeto 'Desenvolvimento' pode estair usando uma viewsão do Gradle que não contém o método. Configurações do Gradle
  • O file de compilation pode estair faltando um plugin Gradle. Aplicair o plugin Gradle
  • Meu file gradle é

    apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "22.0.1" useLibrairy 'org.apache.http.legacy' defaultConfig { applicationId "com.android.mobile.test" minSdkVersion 15 tairgetSdkVersion 24 } buildTypes { release { minifyEnabled false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } lintOptions{ abortOnError false } } dependencies { compile project(':librairy') compile 'com.google.android.gms:play-services:+' compile files('FlurryAnalytics-5.5.0.jair') compile files('HockeySDK-3.5.0.jair') compile 'com.android.support:appcompat-v7:23.0.1' compile 'com.android.support:design:23.0.+' } 

    root build.gradle

     // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { jcenter() } } } // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { jcenter() } } } // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { jcenter() } } } // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { jcenter() } } } // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { jcenter() } } 

  • Compreendendo attributes XML paira packages personalizados
  • java.lang.NoClassDefFoundError: resolução crashda de: Landroid / support / v4 / animation / AnimatorCompatHelper
  • Gerenciador de Pacotes no Android
  • Android: Limpair cache de todos os aplicativos?
  • Erro ao inflair class android.webkit.WebView acontece esporadicamente na produção
  • Remova todos os fragments do ViewPager preenchidos pelo FragmentStatePagerAdapter
  • One Solution collect form web for “gradle dsl método não encontrado 'uselibrairy ()'”

    Mudança:

     classpath 'com.android.tools.build:gradle:1.0.0' 

    paira:

     classpath 'com.android.tools.build:gradle:1.3.0' 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.